<template>
    <div class="about">
        <v-row class="pb-0">
            <v-col
                cols="12"
                md="3"
                class="pl-0 pb-0 pr-0 bg-image hidden-sm-and-down"
                :class="{
                    'bg-image-relative': scrollPosition > 300,
                }"
            >
                <v-parallax
                    :src="mainBanner"
                    height="1000"
                    data-aos="fade-up"
                    data-aos-delay="100"
                    data-aos-once="true"
                ></v-parallax>
            </v-col>
            <v-col cols="12" class="hidden-md-and-up pa-0">
                <v-img
                    :src="mainBanner"
                    height="500"
                    data-aos="fade-up"
                    data-aos-delay="100"
                    data-aos-once="true"
                    position="top 150px center"
                ></v-img>
            </v-col>
            <v-col
                cols="12"
                md="9"
                :offset-md="scrollPosition < 300 ? 3 : 0"
                class="mt-md-16 pt-md-16 pb-0"
                ><v-row class="pa-md-16 height1000 d-flex align-md-center">
                    <v-col
                        cols="10"
                        md="8"
                        offset="1"
                        offset-md="2"
                        class="fixed-scroll"
                    >
                        <v-row>
                            <v-col>
                                <h1 data-aos="fade-up" data-aos-once="true">
                                    {{ $t('about.title') }}
                                </h1>
                                <p
                                    class="mt-10 font-metropolis-regular text-dim-grey"
                                    data-aos="fade-up"
                                    data-aos-once="true"
                                    data-aos-delay="1000"
                                >
                                    {{ $t('about.description') }}
                                </p>
                            </v-col>
                        </v-row>
                    </v-col>
                </v-row>

                <!-- MISSION & VISION -->
                <v-row data-aos="fade-up" data-aos-once="true">
                    <v-col class="white-bg pl-0 pt-164 pb-164">
                        <v-row>
                            <v-col cols="10" md="2" offset="1" offset-md="2">
                                <p class="text-grey pt-5 mb-0">
                                    {{ $t('about.mission') }}
                                </p>
                            </v-col>
                            <v-col cols="10" md="6" offset="1" offset-md="0">
                                <p
                                    class="text-dim-grey pt-md-5 font-metropolis-regular"
                                >
                                    {{ $t('about.missionDesc') }}
                                </p>
                            </v-col>
                            <v-col cols="10" md="2" offset="1" offset-md="2">
                                <p class="text-grey pt-5 mb-0">
                                    {{ $t('about.vision') }}
                                </p>
                            </v-col>
                            <v-col cols="10" md="6" offset="1" offset-md="0">
                                <p
                                    class="text-dim-grey pt-md-5 font-metropolis-regular"
                                >
                                    {{ $t('about.visionDesc') }}
                                </p>
                            </v-col>
                        </v-row>
                    </v-col>
                </v-row>
            </v-col>
        </v-row>

        <!-- BANNERS -->
        <v-row class="pt-md-0 pt-16 pb-16 d-flex align-end">
            <v-col
                cols="10"
                offset="1"
                offset-md="0"
                md="3"
                class="pr-md-16 pl-md-16"
                data-aos="fade-up"
                data-aos-once="true"
                data-aos-delay="1500"
            >
                <v-row>
                    <v-col cols="12">
                        <h1>{{ $t('about.title2') }}</h1>
                    </v-col>
                </v-row>
                <v-row>
                    <v-col cols="12">
                        <p class="pt-5 font-metropolis-regular text-grey">
                            {{ $t('about.description2') }}
                        </p>
                    </v-col>
                </v-row>
            </v-col>
            <v-col
                cols="12"
                md="9"
                class="pr-0 pt-0 hidden-sm-and-down"
                data-aos="fade-up"
                data-aos-once="true"
            >
                <v-row>
                    <v-col cols="6" class="pt-0 pb-0 pl-0 pr-0">
                        <v-img :src="aboutImg1"></v-img>
                    </v-col>
                    <v-col cols="6" class="pt-0 pb-0 pl-0 pr-0">
                        <v-img :src="aboutImg2"></v-img>
                    </v-col>
                </v-row>
            </v-col>
            <v-col
                cols="6"
                class="pl-0 pr-0 pt-0 hidden-md-and-up"
                data-aos="fade-up"
                data-aos-once="true"
            >
                <v-img :src="aboutImg1"></v-img>
            </v-col>
            <v-col
                cols="6"
                class="pl-0 pr-0 pt-0 hidden-md-and-up"
                data-aos="fade-up"
                data-aos-once="true"
            >
                <v-img :src="aboutImg2"></v-img>
            </v-col>
        </v-row>

        <!-- SUBSCRIBE -->
        <v-row
            class="subscribe-section justify-center"
            data-aos="fade-up"
            data-aos-delay="1500"
            data-aos-anchor=".subscribe-section"
            data-aos-once="true"
        >
            <v-col
                cols="12"
                md="5"
                offset-md="2"
                class="d-flex align-center justify-center text-center"
            >
                <h2 class="font-syne-bold">{{ $t('about.subscribeTitle') }}</h2>
            </v-col>
            <v-col cols="12" md="3" class="text-center text-md-left">
                <v-btn
                    height="150"
                    width="150"
                    class="rounded-circle transparent-bg subscribe-btn border-red lowercase text-wrap"
                    data-aos="fade-up"
                    data-aos-delay="1500"
                    data-aos-anchor=".subscribe-section"
                    data-aos-once="true"
                    @click="goToPage(menus.SIGNIN.id)"
                    >{{ $t('about.subscribeBtn') }}</v-btn
                ></v-col
            >
        </v-row>
    </div>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'
import { mapGetters } from 'vuex'

@Component({
    computed: {
        ...mapGetters({
            menus: 'menu/getMenu',
            menuDashboard: 'menu/getMenuDashboard',
        }),
    },
})
export default class About extends Vue {
    // Data
    menus!: any
    menuDashboard!: any
    mainBanner: String = require('~/assets/images/about-bg-1.png')
    missionBanner: string = require('~/assets/images/about-us-mission.png')
    aboutImg1: string = require('~/assets/images/about-img-1.png')
    aboutImg2: string = require('~/assets/images/about-img-2.png')
    scrollPosition: any = null

    // Methods
    updateScroll() {
        this.scrollPosition = window.scrollY
    }

    goToPage(id: Number) {
        switch (id) {
            case this.menus.SIGNIN.id:
                if (!this.$cookies.get('t')) {
                    this.$router.push(this.menus.SIGNIN.path)
                } else {
                    this.$router.push(this.menuDashboard.SUBSCRIPTION.path)
                }
                break

            default:
                this.$router.push('/')
                break
        }
    }

    mounted() {
        window.addEventListener('scroll', this.updateScroll)
    }
}
</script>
